import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDpdknetGetResultModel(
    _base.BaseAPIResultModel,
    _nested.DPDKNetAPIResultNM,
):
    pass


class CloudapiDpdknetGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        dpdk_net_id: int,
    ) -> CloudapiDpdknetGetResultModel:
        ...
